Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
metrics
/
sources
/
{id}
/
queries
List metric source queries
curl --request GET \
  --url https://api.arklow.io/v1/orgs/{org_id}/metrics/sources/{id}/queries \
  --header 'x-arklow-auth: <api-key>'
{
  "data": {
    "items": [
      {
        "id": "<string>",
        "source_id": "<string>",
        "name": "<string>",
        "status": "active",
        "updated_at": "2023-11-07T05:31:56Z",
        "config": {
          "expression": "<string>",
          "rollup_seconds": 123,
          "window_seconds": 123,
          "group_by": [
            "<string>"
          ],
          "tags": {}
        },
        "deleted_at": "2023-11-07T05:31:56Z"
      }
    ],
    "count": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$
id
string
required
Pattern: ^[0-9]+$

Query Parameters

take
integer
Required range: 1 <= x <= 50
skip
integer
Required range: x >= 0
search
field
string
value
string
op
Available options:
eq
count_only
boolean
status
Available options:
active

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required